﻿using System.Web.Mvc;
using David.Academy.InformationTechnology.MvcDynamicApp.Models;

namespace David.Academy.InformationTechnology.MvcDynamicApp.Controllers
{
	public class UserController : Controller
	{
		//
		// GET: /User/{id}/
		[HttpGet]
		public ActionResult Index(int? id)
		{
			if (Session["UserId"] == null)
				return new HttpUnauthorizedResult();

			if (id == null)
				id = (int)Session["UserId"];

			UserModel model = new UserModel(id.Value);

			return View(model);
		}
	}
}
