﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace David.Academy.InformationTechnology.MvcDynamicApp.Models
{
	public class SessionModel
	{
		[DisplayName("Username")]
		[Required(ErrorMessage = "The username is required.")]
		[StringLength(32, MinimumLength = 5, ErrorMessage = "Username length should be between 5 and 32 characters.")]
		public string Username { get; set; }

		[DisplayName("Password")]
		[Required(ErrorMessage = "The password is required.")]
		[StringLength(32, MinimumLength = 5, ErrorMessage = "Password length should be between 5 and 32 characters.")]
		public string Password { get; set; }

		public bool IsValidLogIn()
		{
			if (Username != "DAVID" || Password != "Academy")
				return false;

			return true;
		}

		public int? GetUserId()
		{
			if (!IsValidLogIn())
				return null;

			return 1;
		}
	}
}