﻿using System;

namespace DynamicWebApp
{
	public partial class AcademyMaster : System.Web.UI.MasterPage
	{
		protected override void OnPreRender(EventArgs e)
		{
			base.OnPreRender(e);

			LitPageTitle.Text = Page.Title;

			bool isLoggedIn = (Session["UserId"] != null);

			string profileUrl;
			if (isLoggedIn)
			{
				int userId = (int)Session["UserId"];
				profileUrl = string.Format("~/User.aspx?UserId={0}", userId);
			}
			else
			{
				profileUrl = null;
			}

			LnkLogIn.Visible = !isLoggedIn;
			LnkMyProfile.Visible = isLoggedIn;
			LnkMyProfile.NavigateUrl = profileUrl;
			LnkLogOut.Visible = isLoggedIn;
		}
	}
}