﻿using System;

namespace DynamicWebApp
{
	public partial class LogIn : System.Web.UI.Page
	{
		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			if (!IsPostBack)
			{
				LblLogInError.Visible = false;
			}
		}

		protected void BtnLogIn_Click(object sender, EventArgs e)
		{
			if (TxtUsername.Text != "DAVID"
				|| TxtPassword.Text != "Academy")
			{
				LblLogInError.Visible = true;
				return;
			}

			// съхраняваме идентификатора на потребителя в кеша
			Session["UserId"] = 1;
			// съхраняваме броя на успешните входове в системата в кеша
			if (Cache["LogInCount"] == null)
				Cache["LogInCount"] = 0;
			else
				Cache["LogInCount"] = (int)Cache["LogInCount"] + 1;

			Response.Redirect("~/Default.aspx", true);
		}

		protected void BtnCancel_Click(object sender, EventArgs e)
		{
			Response.Redirect("~/Default.aspx", true);
		}
	}
}