﻿using System;

namespace DynamicWebApp
{
	public partial class User : System.Web.UI.Page
	{
		protected override void OnPreRender(EventArgs e)
		{
			base.OnPreRender(e);

			// крием всичко по подразбиране, за да показваме само това,
			// което е нужно в последствие
			LblError.Visible = false;
			LblNoSuchUser.Visible = false;
			PlhUser.Visible = false;

			try
			{
				string s = Request["UserId"];
				int userId = int.Parse(s);

				if (userId == 1)
				{
					PlhUser.Visible = true;
					LitId.Text = userId.ToString();
					LitUsername.Text = "DAVID";
				}
				else
				{
					LblNoSuchUser.Visible = true;
				}
			}
			catch (Exception ex)
			{
				LblError.Visible = true;
				LblError.Text = ex.Message;
			}
		}
	}
}