﻿using System;
using System.IO.IsolatedStorage;
using System.Windows;
using Microsoft.Phone.Controls;

namespace David.Academy.InformationTechnology.WPAcademyApp
{
	public partial class MainPage : PhoneApplicationPage
	{
		// Constructor
		public MainPage()
		{
			InitializeComponent();
		}

		public void OnLoaded(object sender, RoutedEventArgs e)
		{
			// работа с настройки в Isolated Storage
			if (IsolatedStorageSettings.ApplicationSettings.Contains("Username"))
				TxtUsername.Text = (string)IsolatedStorageSettings.ApplicationSettings["Username"];
			if (IsolatedStorageSettings.ApplicationSettings.Contains("RememberMe"))
			ChkRememberMe.IsChecked = (bool?)IsolatedStorageSettings.ApplicationSettings["RememberMe"];

			// работа с файлове и директории в Isolated Storage
			IsolatedStorageFile file = IsolatedStorageFile.GetUserStoreForApplication();
		}

		public void OnRegister(object sender, EventArgs e)
		{
			// TODO: препраща към страницата за регистрация
		}

		private void OnLogIn(object sender, EventArgs e)
		{
			if (TxtUsername.Text != "q"
				|| TxtPassword.Password != "q")
			{
				MessageBox.Show("Invalid username/password.");
				return;
			}

			IsolatedStorageSettings.ApplicationSettings["Username"] = TxtUsername.Text;
			IsolatedStorageSettings.ApplicationSettings["RememberMe"] = ChkRememberMe.IsChecked;

			// TODO: препраща към страница за меню
			Uri uri = new Uri("/HomePage.xaml", UriKind.Relative);
			NavigationService.Navigate(uri);
		}
	}
}