﻿<%@ Page Language="C#" AutoEventWireup="false" CodeBehind="LogIn.aspx.cs" Inherits="DynamicWebApp.LogIn"
	Title="Log-in" MasterPageFile="~/AcademyMaster.master" %>

<asp:Content ID="CntContent" runat="server" ContentPlaceHolderID="CphContent">
	<fieldset>
		<legend>
			<%-- Стандартен ASP.NET сървърен контрол Literal --%>
			<asp:Literal ID="LitLogInTitle" runat="server" Text="Log-in" />
		</legend>
		<div>
			<%-- Стандартен ASP.NET сървърен контрол Label --%>
			<asp:Label ID="LblUsernameTitle" runat="server" Text="Username:" AssociatedControlID="TxtUsername" />
			<%-- Стандартен ASP.NET сървърен контрол TextBox --%>
			<asp:TextBox ID="TxtUsername" runat="server" ToolTip="Username" TextMode="SingleLine"
				ValidationGroup="LogInValidation" />
			<%-- Стандартен ASP.NET сървърен контрол RequiredFieldValidator --%>
			<asp:RequiredFieldValidator ID="VldUsername" runat="server" ErrorMessage="*" ForeColor="Red"
				ControlToValidate="TxtUsername" ValidationGroup="LogInValidation" />
		</div>
		<div>
			<%-- Стандартен ASP.NET сървърен контрол Label --%>
			<asp:Label ID="LblPassword" runat="server" Text="Password:" AssociatedControlID="TxtPassword" />
			<%-- Стандартен ASP.NET сървърен контрол TextBox --%>
			<asp:TextBox ID="TxtPassword" runat="server" ToolTip="Password" TextMode="Password"
				ValidationGroup="LogInValidation" />
			<%-- Стандартен ASP.NET сървърен контрол RequiredFieldValidator --%>
			<asp:RequiredFieldValidator ID="VldPassword" runat="server" ErrorMessage="*" ForeColor="Red"
				ControlToValidate="TxtPassword" ValidationGroup="LogInValidation" />
		</div>
		<%-- Стандартен ASP.NET сървърен контрол Button --%>
		<asp:Button ID="BtnLogIn" runat="server" Text="Log-in"
			OnClick="BtnLogIn_Click" ValidationGroup="LogInValidation" />
		<asp:Button ID="BtnCancel" runat="server" Text="Cancel"
			OnClick="BtnCancel_Click" />
		<br />
		<asp:Label ID="LblLogInError" runat="server" ForeColor="Red" Text="Login incorrect." />
	</fieldset>
</asp:Content>
