﻿namespace David.Academy.InformationTechnology.WinFormsDataBinding
{
	class Book
	{
		private readonly string _title;
		private readonly string _author;

		public Book(string title, string author)
		{
			_title = title;
			_author = author;
		}

		public string Title
		{
			get { return _title; }
		}

		public string Author
		{
			get { return _author; }
		}

		public override string ToString()
		{
			return string.Format("{0} by {1}", _title, _author);
		}
	}
}
