﻿using System.ComponentModel;
using System.Windows.Forms;

namespace David.Academy.InformationTechnology.WinFormsDataBinding
{
	public partial class MainForm : Form
	{
		private readonly BindingList<Book> _books;

		public MainForm()
		{
			InitializeComponent();

			_books = new BindingList<Book>
            {
                new Book("The Hobbit", "J. R. R. Tolkien"),
                new Book("Програмиране = ++Алгоритми;", "Светлин Наков"),
            };

			lb_Books.DataSource = _books;
			lb_Books.DisplayMember = "Title";
		}

		private void btn_Add_Click(object sender, System.EventArgs e)
		{
			Book book = new Book(tb_Title.Text, tb_Author.Text);
			_books.Add(book);
		}
	}
}
